# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name readline

%global common_summary An interface to the GNU readline library

%global common_description The GNU Readline library provides a set of \
functions for use by applications that allow users to edit command lines \
as they are typed in. The Readline library includes additional functions \
to maintain a list of previously-entered command lines, to recall and \
perhaps reedit those lines, and perform csh-like history expansion on \
previous commands. 

Name:           ghc-%{pkg_name}
Version:        1.0.3.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-process-devel
# End cabal-rpm deps
BuildRequires:  readline-devel%{_isa}

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%ghc_devel_package
Requires: readline-devel%{_isa}

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files LICENSE

%changelog
* Mon Mar 18 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.3.0-1
- new upstream version 1.0.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.0-2
- fix missing readline-devel requires
- change license tag to GPL+ since no source version indications
- update with cabal-rpm

* Tue Jun 12 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.1.0-1
- Added BuildRequires.
- Spec file template generated by cabal2spec-0.25.5
